# Vamos a usar VMS para clasificar los
# datos, entonces lo tenemos que estandarizar
# en el intervalo [-1,1]

import numpy as np
from sklearn.preprocessing import MinMaxScaler
import matplotlib.pyplot as plt


D = np.loadtxt( "datos.txt" )
print( D.shape )

X = D[:,0:2]
y = D[:,2]

escalador = MinMaxScaler( feature_range=(-1, 1) )
escalador.fit( X )

X2 = escalador.transform( X )

fig, ax = plt.subplots( )

ax.scatter( X2[:,0], X2[:,1], c=y )

plt.show( )

n, m = X2.shape
i = 0
while i<n :
	print( X2[i,0], X2[i,1], y[i] )
	i += 1

